-- MySQL dump 9.09
--
-- Host: palmira    Database: mcr1
---------------------------------------------------------
-- Server version	4.0.15-max-log

--
-- Table structure for table `wei_bawn_examples`
--

CREATE TABLE wei_bawn_examples (
  word varchar(100) NOT NULL default '',
  sense int(11) NOT NULL default '0',
  examples varchar(255) default NULL,
  pos char(1) NOT NULL default '',
  offset varchar(8) NOT NULL default '',
  PRIMARY KEY  (word,sense,pos)
) TYPE=MyISAM;

--
-- Table structure for table `wei_bawn_relation`
--

CREATE TABLE wei_bawn_relation (
  relation smallint(6) NOT NULL default '0',
  sourceSynset char(8) NOT NULL default '',
  sourcePos char(1) NOT NULL default '',
  targetSynset char(8) NOT NULL default '',
  targetPos char(1) NOT NULL default '',
  csco float NOT NULL default '0',
  method char(2) NOT NULL default '',
  version char(1) NOT NULL default '',
  wnSource char(4) NOT NULL default '',
  PRIMARY KEY  (relation,sourceSynset,sourcePos,targetSynset,targetPos,method,version,wnSource),
  KEY sourceSynset (sourceSynset),
  KEY targetSynset (targetSynset)
) TYPE=MyISAM;

--
-- Table structure for table `wei_bawn_synset`
--

CREATE TABLE wei_bawn_synset (
  offset varchar(8) NOT NULL default '',
  pos char(1) NOT NULL default '',
  sons int(1) NOT NULL default '0',
  status enum('i','-') NOT NULL default '-',
  lexical enum('-','n') NOT NULL default '-',
  instance tinyint(1) NOT NULL default '0',
  gloss blob,
  level int(1) NOT NULL default '0',
  levelFromTop int(1) NOT NULL default '0',
  mapping char(3) NOT NULL default '',
  PRIMARY KEY  (offset,pos)
) TYPE=MyISAM;

--
-- Table structure for table `wei_bawn_to_ili`
--

CREATE TABLE wei_bawn_to_ili (
  offset char(8) NOT NULL default '',
  pos char(1) NOT NULL default '',
  iliOffset char(8) NOT NULL default '',
  iliWnId char(4) NOT NULL default '',
  csco float NOT NULL default '0',
  PRIMARY KEY  (offset,pos,iliOffset,iliWnId),
  KEY ilioffsetPos (iliOffset,pos)
) TYPE=MyISAM;

--
-- Table structure for table `wei_bawn_variant`
--

CREATE TABLE wei_bawn_variant (
  myauto mediumint(9) NOT NULL auto_increment,
  word varchar(100) binary NOT NULL default '',
  sense int(1) NOT NULL default '0',
  offset varchar(8) NOT NULL default '',
  pos char(1) NOT NULL default '',
  phraset tinyint(1) NOT NULL default '0',
  myusage enum('fig') default NULL,
  status enum('automatically assigned','confirmed','revised') NOT NULL default 'automatically assigned',
  csco float NOT NULL default '0',
  eagles varchar(8) default NULL,
  PRIMARY KEY  (word,sense,pos,myauto,offset),
  KEY wordIndex (word),
  KEY offsetIndex (offset)
) TYPE=MyISAM;

--
-- Table structure for table `wei_cawn_relation`
--

CREATE TABLE wei_cawn_relation (
  relation smallint(6) NOT NULL default '0',
  sourceSynset char(8) NOT NULL default '',
  sourcePos char(1) NOT NULL default '',
  targetSynset char(8) NOT NULL default '',
  targetPos char(1) NOT NULL default '',
  csco float NOT NULL default '0',
  method char(2) NOT NULL default '',
  version char(1) NOT NULL default '',
  wnSource char(4) NOT NULL default '',
  PRIMARY KEY  (relation,sourceSynset,sourcePos,targetSynset,targetPos,method,version,wnSource),
  KEY sourceSynset (sourceSynset),
  KEY targetSynset (targetSynset)
) TYPE=MyISAM;

--
-- Table structure for table `wei_cawn_synset`
--

CREATE TABLE wei_cawn_synset (
  offset varchar(8) NOT NULL default '',
  pos char(1) NOT NULL default '',
  sons int(1) NOT NULL default '0',
  status enum('i','-') NOT NULL default '-',
  lexical enum('-','n') NOT NULL default '-',
  instance tinyint(1) NOT NULL default '0',
  gloss blob,
  level int(1) NOT NULL default '0',
  levelFromTop int(1) NOT NULL default '0',
  mapping char(3) NOT NULL default '',
  PRIMARY KEY  (offset,pos)
) TYPE=MyISAM;

--
-- Table structure for table `wei_cawn_to_ili`
--

CREATE TABLE wei_cawn_to_ili (
  offset char(8) NOT NULL default '',
  pos char(1) NOT NULL default '',
  iliOffset char(8) NOT NULL default '',
  iliWnId char(4) NOT NULL default '',
  csco float NOT NULL default '0',
  PRIMARY KEY  (offset,pos,iliOffset,iliWnId),
  KEY ilioffsetPos (iliOffset,pos)
) TYPE=MyISAM;

--
-- Table structure for table `wei_cawn_variant`
--

CREATE TABLE wei_cawn_variant (
  myauto mediumint(9) NOT NULL auto_increment,
  word varchar(100) binary NOT NULL default '',
  sense int(1) NOT NULL default '0',
  offset varchar(8) NOT NULL default '',
  pos char(1) NOT NULL default '',
  phraset tinyint(1) NOT NULL default '0',
  myusage enum('fig') default NULL,
  status enum('automatically assigned','confirmed','revised') NOT NULL default 'automatically assigned',
  csco float NOT NULL default '0',
  eagles varchar(8) default NULL,
  PRIMARY KEY  (word,sense,pos,myauto,offset),
  KEY wordIndex (word),
  KEY offsetIndex (offset)
) TYPE=MyISAM;

CREATE TABLE wei_cawn_examples (
  word varchar(100) NOT NULL default '',
  sense int(11) NOT NULL default '0',
  examples varchar(255) default NULL,
  pos char(1) NOT NULL default '',
  offset varchar(8) NOT NULL default '',
  PRIMARY KEY  (word,sense,pos)
) TYPE=MyISAM;

CREATE TABLE wei_spwn_examples (
  word varchar(100) NOT NULL default '',
  sense int(11) NOT NULL default '0',
  examples varchar(255) default NULL,
  pos char(1) NOT NULL default '',
  offset varchar(8) NOT NULL default '',
  PRIMARY KEY  (word,sense,pos)
) TYPE=MyISAM;


--
-- Table structure for table `wei_en16_examples`
--

CREATE TABLE wei_en16_examples (
  word varchar(100) NOT NULL default '',
  sense int(11) NOT NULL default '0',
  examples varchar(255) default NULL,
  pos char(1) NOT NULL default '',
  offset varchar(8) NOT NULL default '',
  PRIMARY KEY  (word,sense,pos)
) TYPE=MyISAM;

--
-- Table structure for table `wei_en16_relation`
--

CREATE TABLE wei_en16_relation (
  relation smallint(6) NOT NULL default '0',
  sourceSynset char(8) NOT NULL default '',
  sourcePos char(1) NOT NULL default '',
  targetSynset char(8) NOT NULL default '',
  targetPos char(1) NOT NULL default '',
  csco float NOT NULL default '0',
  method char(2) NOT NULL default '',
  version char(1) NOT NULL default '',
  wnSource char(4) NOT NULL default '',
  PRIMARY KEY  (relation,sourceSynset,sourcePos,targetSynset,targetPos,method,version,wnSource),
  KEY targetSynset (targetSynset),
  KEY sourceSynset (sourceSynset),
  KEY relation (relation)
) TYPE=MyISAM;

--
-- Table structure for table `wei_en16_synset`
--

CREATE TABLE wei_en16_synset (
  offset varchar(8) NOT NULL default '',
  pos char(1) NOT NULL default '',
  sons int(1) NOT NULL default '0',
  status enum('i','-') NOT NULL default '-',
  lexical enum('-','n') NOT NULL default '-',
  instance tinyint(1) NOT NULL default '0',
  gloss blob,
  level int(1) NOT NULL default '0',
  levelFromTop int(1) NOT NULL default '0',
  PRIMARY KEY  (offset,pos)
) TYPE=MyISAM;

--
-- Table structure for table `wei_en16_to_ili`
--

CREATE TABLE wei_en16_to_ili (
  offset char(8) NOT NULL default '',
  pos char(1) NOT NULL default '',
  iliOffset char(8) NOT NULL default '',
  iliWnId char(4) NOT NULL default '',
  csco float NOT NULL default '0',
  PRIMARY KEY  (offset,pos,iliOffset,iliWnId),
  KEY iliOffset (iliOffset,pos,iliWnId),
  KEY ilioffsetPos (iliOffset,pos)
) TYPE=MyISAM;

--
-- Table structure for table `wei_en16_variant`
--

CREATE TABLE wei_en16_variant (
  myauto mediumint(9) NOT NULL auto_increment,
  word varchar(100) binary NOT NULL default '',
  sense int(1) NOT NULL default '0',
  offset varchar(8) NOT NULL default '',
  pos char(1) NOT NULL default '',
  phraset tinyint(1) NOT NULL default '0',
  myusage enum('fig') default NULL,
  status enum('automatically assigned','confirmed','revised') NOT NULL default 'automatically assigned',
  csco float NOT NULL default '0',
  eagles varchar(8) default NULL,
  PRIMARY KEY  (word,sense,pos,myauto,offset),
  KEY wordIndex (word),
  KEY offsetIndex (offset)
) TYPE=MyISAM;

--
-- Table structure for table `wei_ili_record`
--

CREATE TABLE wei_ili_record (
  iliOffset char(8) NOT NULL default '',
  iliPos char(1) NOT NULL default '',
  iliWnId char(4) NOT NULL default '',
  bc tinyint(1) NOT NULL default '0',
  bcOLD tinyint(1) NOT NULL default '0',
  semf char(2) NOT NULL default '',
  instance tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (iliOffset,iliPos,iliWnId),
  KEY bc (bc)
) TYPE=MyISAM;

--
-- Table structure for table `wei_relations`
--

CREATE TABLE wei_relations (
  id smallint(6) NOT NULL default '0',
  name varchar(25) NOT NULL default '',
  props varchar(4) NOT NULL default '',
  inverse varchar(25) NOT NULL default '',
  origen varchar(4) default NULL,
  wnName varchar(25) default NULL,
  source char(1) NOT NULL default '',
  target char(1) NOT NULL default '',
  wnCode char(2) default NULL,
  grup int(11) default NULL,
  PRIMARY KEY  (id),
  KEY wnCode (wnCode),
  KEY name (name)
) TYPE=MyISAM;

--
-- Table structure for table `wei_relations_group`
--

CREATE TABLE wei_relations_group (
  id smallint(6) NOT NULL default '0',
  name varchar(25) NOT NULL default '',
  cascada int(1) NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY name (name)
) TYPE=MyISAM;

--
-- Table structure for table `wei_spwn_relation`
--

CREATE TABLE wei_spwn_relation (
  relation smallint(6) NOT NULL default '0',
  sourceSynset char(8) NOT NULL default '',
  sourcePos char(1) NOT NULL default '',
  targetSynset char(8) NOT NULL default '',
  targetPos char(1) NOT NULL default '',
  csco float NOT NULL default '0',
  method char(2) NOT NULL default '',
  version char(1) NOT NULL default '',
  wnSource char(4) NOT NULL default '',
  PRIMARY KEY  (relation,sourceSynset,sourcePos,targetSynset,targetPos,method,version,wnSource),
  KEY sourceSynset (sourceSynset),
  KEY targetSynset (targetSynset)
) TYPE=MyISAM;

--
-- Table structure for table `wei_spwn_synset`
--

CREATE TABLE wei_spwn_synset (
  offset varchar(8) NOT NULL default '',
  pos char(1) NOT NULL default '',
  sons int(1) NOT NULL default '0',
  status enum('i','-') NOT NULL default '-',
  lexical enum('-','n') NOT NULL default '-',
  instance tinyint(1) NOT NULL default '0',
  gloss blob,
  level int(1) NOT NULL default '0',
  levelFromTop int(1) NOT NULL default '0',
  mapping char(3) NOT NULL default '',
  PRIMARY KEY  (offset,pos)
) TYPE=MyISAM;

--
-- Table structure for table `wei_spwn_to_ili`
--

CREATE TABLE wei_spwn_to_ili (
  offset char(8) NOT NULL default '',
  pos char(1) NOT NULL default '',
  iliOffset char(8) NOT NULL default '',
  iliWnId char(4) NOT NULL default '',
  csco float NOT NULL default '0',
  PRIMARY KEY  (offset,pos,iliOffset,iliWnId),
  KEY ilioffsetPos (iliOffset,pos)
) TYPE=MyISAM;

--
-- Table structure for table `wei_spwn_variant`
--

CREATE TABLE wei_spwn_variant (
  myauto mediumint(9) NOT NULL auto_increment,
  word varchar(100) binary NOT NULL default '',
  sense int(1) NOT NULL default '0',
  offset varchar(8) NOT NULL default '',
  pos char(1) NOT NULL default '',
  phraset tinyint(1) NOT NULL default '0',
  myusage enum('fig') default NULL,
  status enum('automatically assigned','confirmed','revised') NOT NULL default 'automatically assigned',
  csco float NOT NULL default '0',
  eagles varchar(8) default NULL,
  PRIMARY KEY  (word,sense,pos,myauto,offset),
  KEY wordIndex (word),
  KEY offsetIndex (offset)
) TYPE=MyISAM;

